Can't get updates

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

Can't get updates

Postby eamrnr on Mon Jan 21, 2013 8:53 pm

Every time I try to get updates, Synaptic fails and says an error occured. It leaves this message:

W: GPG error: http://archive.ubuntu.com oneiric Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>


Can this be fixed? Thanks for any help.

Ed
eamrnr
Level 1
Level 1
 
Posts: 3
Joined: Tue Aug 21, 2012 1:18 pm

Linux Mint is funded by ads and donations.
 

Re: Can't get updates

Postby passerby on Mon Jan 21, 2013 9:18 pm

The problem (and its solution) are discussed here: http://askubuntu.com/questions/89198/th ... re-invalid
Home PC: Xubuntu 14.04 x64, Nvidia GTX650, i7 3770K, 16GB RAM, Asus Xonar DX
Work PC: Mint 13 x64 XFCE, Nvidia GT620, i5 3470, 8GB RAM
Laptop: System76 Kudu Pro, Xubuntu 14.04 x64

My HTML5 login themes + screenshots
User avatar
passerby
Level 6
Level 6
 
Posts: 1374
Joined: Sun Dec 16, 2012 7:29 pm

Re: Can't get updates

Postby vintagepen on Sat Feb 02, 2013 11:23 pm

passerby wrote:The problem (and its solution) are discussed here: http://askubuntu.com/questions/89198/th ... re-invalid


I followed all those instructions but even in terminal, the problem still persists and it gives me the same "W: GPG error: http://archive.ubuntu.com oneiric-updates Release: The following signatures were invalid: BADSIG 40976EAF437D05B5"

In fact it did update 14 packages which Update Manager didnt manage, though it leaves 3 still not updated.

Is it time to update to Mint 14 of some flavour or would that be a more monumental task than updating Oneiric?
vintagepen
Level 3
Level 3
 
Posts: 170
Joined: Mon Feb 06, 2012 10:14 pm

Re: Sorry for that last posting

Postby vintagepen on Sat Feb 02, 2013 11:33 pm

Sorry guys, updating line by line did work.

sudo apt-get clean
cd /var/lib/apt
sudo mv lists lists.old
sudo mkdir -p lists/partial
sudo apt-get clean
sudo apt-get update

But should update manager work properly now or will I still get the same error message and do I have to update manually always now?

Is there an easy way to update to Mint 14? I assume there is no way of getting Update manager to update from Mint 12 or 13 to 14!
vintagepen
Level 3
Level 3
 
Posts: 170
Joined: Mon Feb 06, 2012 10:14 pm

Re: Can't get updates

Postby zerozero on Sun Feb 03, 2013 7:15 am

vintagepen wrote:Is there an easy way to update to Mint 14? I assume there is no way of getting Update manager to update from Mint 12 or 13 to 14!
no, there's no easy way to update in-place from 12 to 13 or 14; the closest (and safest) you have is this >> http://community.linuxmint.com/tutorial/view/2

apart from that, backup all your personal data and install afresh mint 13 (lts supported until 2017) or mint 14 (supported until april 2014)
zerozero
Level 16
Level 16
 
Posts: 6472
Joined: Tue Jul 07, 2009 2:29 pm

Re: Can't get updates

Postby vintagepen on Sun Feb 03, 2013 5:40 pm

Well, my position is that everything works fine and for my purposes the only advances are marginal so I can stay where I am. Even though I have installed various flavours of 13 or 14 on friends' computers when they complained that Vista or 7 was making their computers so syrupy that they were thinking of dumping the whole computer. (then they were all ecstatic about how blazingly fast they computers run, as we all know). Frankly I cant see the difference in computer performance between the releases, which isnt the case with the need to get the newest OSs as they are released on my Macs.

The problem is that no one can identify the problem OP had "W: GPG error: http://archive.ubuntu.com oneiric-updates Release: The following signatures were invalid: BADSIG 40976EAF437D05B5" and I always get nervous when this happens. Even if I can figure out a (manual) workaround.

So I am wondering: All I have on the computer is my browsing history in FF & Chromium (and a record of the 20 open tabs I keep in both!), some customizations which probably aren't relevant any more if I move to a different flavour, some downloads which I can easily cut-and-paste to a flash memory drive and a few installed apps I got from package repositories.

This is actually quite a difficult one!
vintagepen
Level 3
Level 3
 
Posts: 170
Joined: Mon Feb 06, 2012 10:14 pm


Return to Newbie Questions

Who is online

Users browsing this forum: WesternSlope and 48 guests